0

I've bought ATtiny, from see link. Trying to upload a basic Blink sketch I get this error: Device reports version as: 2.2.

1) Board manager was updated using http://digistump.com/package_digistump_index.json

2) Board selected as Digispark (Default -16.5MHz )

3) Programmer set to Micronocleus

Tried using some guides on-line, but some were old, some were for windows, while I'm using Ubuntu machine.

Appreciate any help, Guy

1

It sounds like you have a newer board than the version of Micronucleus in the Arduino package.

As I discovered here you basically need to upgrade micronucleus in your Ardino installation, which you can download from here

  • Download the zip file from Github and extract it. Then in a terminal (if you're not already in one) go to the directory you extracted.
  • Build the executable by typing "make"
  • Copy the compiled executable to ~/.arduino15/packages/digistump/tools/micronucleus/<version>/

where <version> is the currently installed version number (e.g., 2.0a4). There should already be a micronucleus executable in there that you would replace with your newly compiled one.

10
  • a `\2.04a' directory was inside that path you noted ( was added after adding digistumb's board manager
    – Guy . D
    May 8 '20 at 12:58
  • @Guy.D Where abouts in the path?
    – Majenko
    May 8 '20 at 14:25
  • micronucleus after built was move to noted directory. But directory already contains an instance of micronucleus, inside a directory 2.0a4. Should I delete it ? ( didn't help ). Seemed that didn't matter
    – Guy . D
    May 8 '20 at 15:35
  • Replace the existing one with your newly compiled one
    – Majenko
    May 8 '20 at 15:44
  • 1
    Make the directory again and move the file into it.
    – Majenko
    May 8 '20 at 16:32

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.